STRUCT TEMPLATE (3)

NAME
boost::intrusive::base_hook

SYNOPSIS

// In header: <boost/intrusive/options.hpp>
template<typename BaseHook>
struct base_hook {
  // member classes/structs/unions
  // @ template<class Base>
  struct pack {
    // types
    typedef BaseHook value_traits;
  };
};

DESCRIPTION

This option setter specifies that the container must use the specified base hook